> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-6/v6-2/v6-2-0.md).

# Version 6.2.0 Changelog (2020-03-10)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## New

* Added support for file attachment annotations
* Added a rectangular measurement tool that can be used to measure area in a document
* Added an ellipse measurement tool that can be used to measure circular areas in a document
* Improved usability of creating polygon annotations by adding a drop zone that can be clicked to complete the annotation
* Added a [disableLogs](https://sdk.apryse.com/api/web/Core.html#.disableLogs__anchor) API to disable console logs, warnings and errors from inside of WebViewer
* Added button to download the diffed pages in the diff sample as an image
* Added overlay slider to diff sample to control what percentage of each document is visible
* Added options to generate cloudy polygon with random cloud arcs
* Added support for [getMetadata](https://sdk.apryse.com/api/web/Core.Document.html#getMetadata__anchor) with PDF documents
* Added [dangerouslySetNoteTransformFunction](https://sdk.apryse.com/api/web/WebViewerInstance.html#dangerouslySetNoteTransformFunction__anchor) which can be used to transform content inside notes
* Added [instance.Feature.PageNavigation](https://sdk.apryse.com/api/web/WebViewerInstance.html#Feature__anchor) that can be used to enable/disable all the ways that navigate the viewer to a different page
* Updated instance.downloadPdf to take more download options. This includes [`flatten`](https://sdk.apryse.com/api/web/WebViewerInstance.html#downloadPdf__anchor), which indicates whether all the annotations in the download document should be flattened.
* Added a 'disable' option to instance.updateElement. When this option is true, HTML elements that have Button in the class name won't be clickable
* Updated the measurement tool snap mode so that snapping would only occur within a certain threshold of a snap point

## Fixes

* Fixed issue where tools didn't draw annotations in the correct position when direction is rtl
* Fixed issue where extra text was displayed for some button widgets
* Fixed several rendering issues with Office documents
* Fixed issue where multi-select form fields weren't being handled correctly
* Fixed issue where PDFs with differently sized pages didn't always maintain the current page when rotating the document
* Fixed issue where form fields wouldn't re-render when a visual property changed
* Fixed issue where tapping on the signature canvas wouldn't draw a circle
* Fixed issue where the rubber stamp tool overlay wasn't displaying properly in IE11
* Fixed error in the notes panel that occurred rarely when there were many annotations in the document
* Fixed issue where the scrollbar kept hiding and showing when typing text in the signature dialog on Windows
* Fixed issue where sometimes the document will zoom in twice when pinch zoom is finished
* Fixed issue where the [setAction](https://sdk.apryse.com/api/web/Core.PDFNet.WidgetAnnot.html#setAction__anchor) API in embedded JavaScript wasn't working
* Fixed issue where "currentValueIndices" wasn't able to be set in embedded JavaScript
* Fixed issue where some radio buttons wouldn't retrieve the correct value in embedded JavaScript
* Fixed issue where clicking on a note might result in an incorrect scroll position
* Fixed issue with [getFileData](https://sdk.apryse.com/api/web/Core.Document.html#getFileData__anchor) not resolving if called too early on viewer optimized PDFs
* Fixed issue where annotation appearances might not show up when loading with WebViewer Server
* Fixed issue where annotation could temporarily be drawn at the wrong orientation when loading with WebViewer Server
* Fixed issue where only primary annotation comments showed up in the print comment page


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-6/v6-2/v6-2-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
